//*****************************************************************************
//*****************************************************************************
//  FILENAME:   Table_TC_R.h
//  Version: 1.0, 2008/01/16 
//  Generated by Peter Lischer
//
//  DESCRIPTION:  Table for Thermocouple Type R
//
//-----------------------------------------------------------------------------
// Originally authored by Toradex AG. This work is now available under the terms and conditions
// of the Creative Commons License 'Attribution CC BY', details of which can be found here:
// http://creativecommons.org/licenses/by/3.0/
//*****************************************************************************
//*****************************************************************************


/*
	Sensor used from	-50C
	until				1768.1C
	
	Table valid from	-50C
	until				1768.1C

	Table entries from	-74.25C
	until				1805.05C

	Reference Voltage	4.096V
	R1					1k
	R2					25k
*/

#define TC_TYPE_R				6
#define TC_TYPE_R_ASCII			'R'

#define ADC2TMP_MIN_R	 		-128
#define ADC2TMP_MID_R 			4096
#define ADC2TMP_MAX_R 			8960

#define ADC2TMP_LO_LENGTH_R 	67
#define ADC2TMP_HI_LENGTH_R 	20


#define REF2ADC_MIN_R		 	-1536		//Not used, is constant over all Couple Types
#define REF2ADC_MAX_R		 	11264		//Not used, is constant over all Couple Types

#define REF2ADC_LENGTH_R		26			//Not used, is constant over all Couple Types

const unsigned int ADC2TmpLo_R[ADC2TMP_LO_LENGTH_R] =	
{
	1989,
	2412,
	2732,
	3004,
	3249,
	3475,
	3688,
	3892,
	4087,
	4275,
	4458,
	4636,
	4810,
	4981,
	5148,
	5313,
	5476,
	5636,
	5794,
	5950,
	6105,
	6258,
	6410,
	6560,
	6709,
	6857,
	7004,
	7150,
	7294,
	7438,
	7581,
	7723,
	7864,
	8004,
	8143,
	8281,
	8419,
	8556,
	8692,
	8827,
	8962,
	9096,
	9229,
	9361,
	9493,
	9624,
	9754,
	9883,
	10012,
	10141,
	10268,
	10395,
	10521,
	10647,
	10772,
	10897,
	11021,
	11144,
	11266,
	11389,
	11510,
	11631,
	11752,
	11872,
	11991,
	12110,
	12229,
};

const unsigned int ADC2TmpHi_R[ADC2TMP_HI_LENGTH_R] =	
{
	12229,
	12698,
	13160,
	13616,
	14066,
	14512,
	14954,
	15394,
	15831,
	16267,
	16703,
	17139,
	17575,
	18013,
	18453,
	18896,
	19343,
	19796,
	20268,
	20782,
};

const int Ref2ADC_R[REF2ADC_LENGTH_R] =	
{
	-26,
	-17,
	-9,
	0,
	9,
	18,
	27,
	37,
	46,
	56,
	66,
	76,
	86,
	97,
	107,
	118,
	129,
	140,
	151,
	162,
	174,
	185,
	197,
	209,
	220,
	233,
};